> ## Documentation Index
> Fetch the complete documentation index at: https://deepvue-2e0dbadd.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Result

> Fetch the result of the FIR check for a specific transaction ID.



## OpenAPI

````yaml GET /v1/background-verification/fir-check/{transaction_id}
openapi: 3.0.2
info:
  title: Deepvue.tech Developers' Guide
  description: >-
    Deepvue.tech's APIs and SDKs are a No-Code Solution to Document Digitization
    and Verification for Businesses.
  version: v1
  x-logo:
    url: https://deepvue.tech/wp-content/uploads//2022/01/deepvue-logo1-1.svg
servers:
  - url: https://production.deepvue.tech
security:
  - BearerAuth: []
    ApiKeyAuth: []
tags:
  - name: Authorization
    description: |-
      - You need an Authorized Access Token to access any of the Platform APIs.
      - One Access Token will be valid for only 24 hours.
      - After 24 hours, you can renew the token by using the Authorize Endpoint.
      - This will issue another access_token valid for 24 hrs.
  - name: Aadhaar Ekyc V2
    description: New streamlined APIs for Aadhaar eKYC
  - name: Offline Aadhaar eKYC
    description: >-
      Offline Aadhaar KYC, or OKYC, is a legally compliant KYC method as per
      UIDAI guidelines.   
                              Your customers can provide their Aadhaar number and verify with an OTP sent to their Aadhaar-linked mobile number, to access a downloadable XML file with their Aadhaar details.   

      **How does Offline Aadhaar Verification work?**    
                              **Provide Consent**:  Customers agree or disagree to continue at the initial screen.   
                              **Share Aadhaar Number**: Customers provide their Aadhaar number to proceed with the verification.   
                              **Verify with OTP**: Verify with an OTP sent to their Aadhaar-linked mobile number by UIDAI, to access a downloadable XML file with their Aadhaar details in a share code manner.    
                              **Realtime face match** for liveness detection: The Aadhaar Offline document has Name, Address, Photo, Gender, DOB. Optionally, the photo in the UIDAI Issued Aadhaar document can be matched with customers' live photo or a selfie in real time to ensure liveness checks.   

      *You can simply integrate Offline Aadhaar eKYC within your application
      with no-code and in no time with our Deepvue.tech Offline Aadhaar eKYC
      SDKs.*    


      **Below are the integration guides to integrate the platform specific
      SDKs:**   

      **Android SDK** :
      https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-android-sdk   
                              **iOS SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-ios-sdk   
                              **React-Native SDK** : https://github.com/deepvue-tech/deepvue-aadhaar-offline-ekyc-react-sdk    
                              **Flutter SDK** : https://pub.dev/packages/aadhaar_offline_ekyc    

      **NOTE**:   
                  
              As per the compliances by UIDAI on sharing and storage of Aadhaar number is not allowed.    
              
              Service Providers shall not share, publish or display either Share Code or XML file or its contents with anyone else.   
              Any non-compliance of these actions shall invite actions under Sections 17 and 25 of The Aadhaar (Authentication) Regulation, 2016,    
              Sections 4 and 6 of The Aadhaar (Sharing of Information) Regulation, 2016 and Sections 29(2), 29 (3), and 37 of The Aadhaar Act, 2016.   

              Consent should be mandatorily stored at the company end to proceed with verification.   

      If you want to integrate Aadhaar eKYC in your web application or want to
      build your own customized workflow you can use our Aadhaar eKYC APIs
      detailed below.   


      Embed offline eKYC Aadhaar flow to verify consumers on your application
      using a simple flow.    
                                      - **Initiate Session**: This API allows the platform to initiate a session to get the captcha before passing the Aadhaar number of the customer.    
                                      - **Generate OTP**: This API allows the platform to pass the Aadhaar number to generate OTP to the linked mobile number.    
                                      - **Verify OTP**: This API allows the platform to pass the OTP to Deepvue.tech to fetch the customer's Aadhaar information from UIDAI.    

      If the customer or the platform wishes to restart the session, a new
      captcha can be generated using the Reload Captcha API.
  - name: Digilocker
    description: >-
      Digilocker is an initiative under Digital India Program which aims to
      remove the dependency on physical documents and power the sharing of
      verified electronic documents across authorised agencies.   


      **Benefits of Digilocker**    
                              1. Documents can be shared online, accessed anytime, anywhere.   
                              2. Documents can be authenticated by the users, legally on a par with originals.   
                              3. It's simple to use and very convenient.   
                              4. Documents are issued directly by the registered issuers such as Income Tax Department, CBSE, Registrar Office, etc.    

      **Product Flow**   

      **Initiate Session** : This API creates a session in which DigiLocker
      journey can be completed with other APIs in the flow.   
                              **Get User Access Token** : This API allows the platform to get user access token from Digilocker by passing the authorisation code generated from Digilocker.   
                              **Get Issued Files** : This API allows the platform to fetch a list of issued documents from Digilocker.    
                              **Download e-Aadhar** : This API allows the platform to download the Aadhaar XML from Digilocker.    
                              **Download File** : This API allows the platform to download the file from Digilocker by passing the URI for a particular document.    
  - name: KYC APIs
    description: >-
      Verify Aadhaar, PAN, GSTIN, Bank Account, and UPI details in real time for
      quick KYC checks.
  - name: Document OCR
    description: >-
      Our systems use Modern & Latest OCR technology to scan the document images
      for field’s like full name, dob, address, etc. on the photo IDs and
      exctract these fields as key-value pairs.
  - name: Document Forensics
    description: >-
      Set of APIs that help with document forensic checks like template
      validation, image quality, photocopy, and spoof checks.
  - name: Face Forensics
    description: >-
      APIs for facial recognition and liveliness verification in real time.    

      The Face Match API employs advanced algorithms for reliable facial
      matching, crucial for secure access control and compliance.   

      The Passive Liveness API enhances security by detecting and confirming the
      liveliness of faces during authentication, providing an additional layer
      of protection against impersonation and fraud.   
  - name: Async KYC APIs
    description: >-
      Verify other Identity documents such as Driving License, Vehicle
      Registration Certificate etc. in real time for fast KYC checks.    
              These are Asynchronous APIs which return a request ID and use a webhook mechanism to return the response back to your servers.    
              You can then use this request ID and feed this into our GET API to consume the response.
  - name: GST APIs
    description: >-
      Set of APIs that help with GST Registered business verification and
      onboarding.
  - name: GST Taxpayer APIs
    description: >-
      The GST Taxpayer APIs are provided by the GSTN for public usage. These
      APIs, together, mirror the GST Portal.   


      Therefore, you can use these APIs to integrate GST compliance into your
      workflow itself.   


      Use the following workflow to access the GST Taxpayer APIs:   


      **First**, the GST taxpayer is authenticated using **OTP
      Verification**.   


      **Second**, after successful authentication, the GST Taxpayer APIs can be
      accessed.   
         i. **Ledger APIs** - Fetch the taxpayer's ledger like a) Cash ITC Balance, b) Cash Ledger, c) ITC Ledger.   
         ii. **Returns APIs** - Fetch the taxpayer's detailed summaries of GSTR -1 and GSTR -3B Returns.   
  - name: Taxpayer APIs
    description: |-
      Taxpayer APIs includes TAN Verification.   

       Taxpayer APIs help businesses verify their vendors, customers & employees using TAN. APIs also provide publicly available data such as name, address, and contact details that can be verified against physical documents.   
  - name: ITR APIs
    description: |-
      ITR APIs includes ITR Verification APIs including 26AS.   

       ITR APIs helps businesses download ITR information, such as ITR ID, Filing Year, Acknowledgement Number, ITR Form, Filing Date, ITR status, etc..    
  - name: MSME APIs
    description: >-
      Set of APIs that help with MSME Registered business verification and
      onboarding.
  - name: MCA APIs
    description: >-
      Set of APIs that help fetch MCA's Director Master Data & Company Master
      Data.
  - name: Financial Services
    description: >-
      Suite that provides you whole array of APIs to serve multiple financial
      services and fetch data for an organisation or individual from various
      data sources in a streamlined manner.   


      Some of the key things that you can do here are:   


      i.Fetch the Credit Report from any of our partner credit bureaus.   

      ii.Fetch customer's Customer Data Pull basis mobile number and name to
      simplify your onboarding.
  - name: Account Aggregator
    description: >-
      Account Aggregators(AAs) are regulated entities that facilitate consented
      sharing of financial data by utilising the DEPA framework. They act as the
      bridge between data providers such as banks, and data consumers such as
      lenders—to enable the sharing of a user’s financial data based on their
      explicit consent.   
              Deepvue currently provides AA-related services in close partnership with a fully-licensed AA.
paths:
  /v1/background-verification/fir-check/{transaction_id}:
    get:
      tags:
        - Background Verification
      summary: Retrieve FIR Check Result
      description: Fetch the result of the FIR check for a specific transaction ID.
      operationId: >-
        Get_Fir_Check_Result_v1_background_verification_fir_check_transaction_id_get
      parameters:
        - name: transaction_id
          in: path
          required: true
          schema:
            type: string
          description: Transaction ID received while creating the FIR check request
        - name: name_match_type
          in: query
          required: false
          schema:
            type: string
          description: >-
            Matching logic used for name comparison. Allowed values:
            EXACT_MATCH, EXACT_FUZZY, PARTIAL_EXACT, PARTIAL_FUZZY, NO_MATCH.
            Multiple values can be passed as a comma-separated string.
          example: EXACT_MATCH,EXACT_FUZZY
        - name: father_match_type
          in: query
          required: false
          schema:
            type: string
          description: >-
            Matching logic used for father’s name comparison. Allowed values are
            the same as name_match_type. Multiple values can be passed as a
            comma-separated string.
        - name: type
          in: query
          required: false
          schema:
            type: string
          description: >-
            Role of the individual in the FIR. Allowed values: RESPONDENT,
            PETITIONER. Multiple values can be passed as a comma-separated
            string.
        - name: case_category
          in: query
          required: false
          schema:
            type: string
          description: >-
            Category of FIR. Allowed values: CIVIL, CRIMINAL. Multiple values
            can be passed as a comma-separated string.
        - name: case_status
          in: query
          required: false
          schema:
            type: string
          description: >-
            Current status of FIR. Allowed values: PENDING, DISPOSED. Multiple
            values can be passed as a comma-separated string.
        - name: state_match
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            Whether FIR matching is done at the state level. Allowed values:
            true or false.
        - name: dist_match
          in: query
          required: false
          schema:
            type: boolean
          description: >-
            Whether FIR matching is done at the district level. Allowed values:
            true or false.
        - name: jurisdiction_type
          in: query
          required: false
          schema:
            type: string
          description: >-
            Jurisdiction coverage for FIR search. Allowed values:
            NEAREST_DISTRICTS, STATE, DISTRICT, PAN_INDIA. Multiple values can
            be passed as a comma-separated string.
        - name: algo_risk
          in: query
          required: false
          schema:
            type: string
          description: >-
            Risk level assigned by the algorithm. Allowed values:
            VERY_HIGH_RISK, HIGH_RISK, MEDIUM_RISK, LOW_RISK, VERY_LOW_RISK.
            Multiple values can be passed as a comma-separated string.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                title: Response 200 - Success / In Progress
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_FIR_CHECK_RESULT_200_SUCCESSFUL
                  - $ref: >-
                      #/components/schemas/RESPONSE_FIR_CHECK_RESULT_200_IN_PROGRESS
              examples:
                200 Success - Processing Complete:
                  summary: FIR check completed successfully
                  value:
                    code: 200
                    timestamp: 1767173662171
                    transaction_id: 98c6e6e4f0ee4effb63e13ff67bea45a
                    sub_code: SUCCESS
                    message: Process complete.
                    data:
                      - fir_document_url: >-
                          https://production.deepvue.tech/v1/background-verification/fir-check/document?token=gAAAAABpgeDB7uRu-OJ0HJZxKgHi3IgCJ7g4Plb3jn-ZXYs39RXS3c9HDqkeEXGE-A_ZGUaFfVg7B7lZBWIYso_9bJFJTA7E2_Ba8F5zdZhNdvGSe2Q04NIsjt6gYNWEv99YPHpPusZb88Xf3Gd2QCg4Lf9022rSDMvklGPwd4OpQhPbb3sumvs=&exp=1772711361&sig=d0e795ce7e47d03e4274614ff65769a8d231c473029ccbf76d27092873ad086a
                        fir_no: 159
                        fir_year: '2019'
                        police_station: SHILLEGAON
                        state_name: MAHARASHTRA
                        name: santosh sitaraam ahire
                        name_match_type: EXACT
                        name_score: 100
                        overall_match_type: EXACT
                        revised_case_category: Criminal
                        source: fir
                200 - In Progress:
                  summary: FIR check is still being processed
                  value:
                    code: 200
                    timestamp: 1767173627936
                    transaction_id: b10ead4473ff4283ac9ea40464fbb6c0
                    sub_code: IN_PROGRESS
                    message: Request processing is in progress.
        '400':
          description: BAD_REQUEST (Invalid Input / Parameters)
          content:
            application/json:
              schema:
                title: Response 400 - Bad Request
                oneOf:
                  - $ref: >-
                      #/components/schemas/RESPONSE_FIR_CHECK_RESULT_400_INACTIVE_CLIENT
                  - $ref: >-
                      #/components/schemas/RESPONSE_FIR_CHECK_RESULT_400_BAD_REQUEST
              examples:
                400 - Inactive Client:
                  summary: Inactive client
                  value:
                    detail: Inactive client_id
        '401':
          description: Incorrect client_id or client_secret
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_FIR_CHECK_RESULT_401_UNAUTHENTICATED
              examples:
                401 - Not Authenticated:
                  summary: Not authenticated
                  value:
                    detail: Not authenticated
        '403':
          description: Access Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_FIR_CHECK_RESULT_403_ACCESS_FORBIDDEN
              examples:
                403 - Invalid Token:
                  summary: Invalid token
                  value:
                    detail: Not a valid token
        '422':
          description: BAD_REQUEST
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_FIR_CHECK_RESULT_422_INVALID_REQUEST_ID
              examples:
                422 - Invalid Request ID:
                  summary: Invalid transaction ID
                  value:
                    code: 422
                    timestamp: 1767177410430
                    transaction_id: 0acca1189f4e4a729d2edf8077e529e2
                    sub_code: INVALID_REQUEST_ID
                    message: Invalid Request ID
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RESPONSE_FIR_CHECK_RESULT_500_INTERNAL_SERVER_ERROR
              examples:
                500 - Internal Server Error:
                  value:
                    detail: Internal Server Error
components:
  schemas:
    RESPONSE_FIR_CHECK_RESULT_200_SUCCESSFUL:
      title: FIR Check Successful
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: SUCCESS
        message:
          title: Message
          type: string
          default: Process complete.
        data:
          title: Data
          type: array
          items:
            type: object
            properties:
              fir_document_url:
                title: FIR Document URL
                type: string
              fir_no:
                title: FIR Number
                type: integer
              fir_year:
                title: FIR Year
                type: string
              police_station:
                title: Police Station
                type: string
              state_name:
                title: State Name
                type: string
              name:
                title: Name
                type: string
              name_match_type:
                title: Name Match Type
                type: string
              name_score:
                title: Name Score
                type: integer
              overall_match_type:
                title: Overall Match Type
                type: string
              revised_case_category:
                title: Revised Case Category
                type: string
              source:
                title: Source
                type: string
    RESPONSE_FIR_CHECK_RESULT_200_IN_PROGRESS:
      title: In Progress
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 200
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: IN_PROGRESS
        message:
          title: Message
          type: string
          default: Request processing is in progress.
    RESPONSE_FIR_CHECK_RESULT_400_INACTIVE_CLIENT:
      title: Inactive Client
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Inactive client_id
    RESPONSE_FIR_CHECK_RESULT_400_BAD_REQUEST:
      title: Bad Request
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Bad Request
    RESPONSE_FIR_CHECK_RESULT_401_UNAUTHENTICATED:
      title: Not Authenticated
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not authenticated
    RESPONSE_FIR_CHECK_RESULT_403_ACCESS_FORBIDDEN:
      title: Access Forbidden
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Not a valid token
    RESPONSE_FIR_CHECK_RESULT_422_INVALID_REQUEST_ID:
      title: Invalid Request ID
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 422
        timestamp:
          title: Timestamp
          type: integer
        transaction_id:
          title: Transaction Id
          type: string
        sub_code:
          title: Sub Code
          type: string
          default: INVALID_REQUEST_ID
        message:
          title: Message
          type: string
          default: Invalid Request ID
    RESPONSE_FIR_CHECK_RESULT_500_INTERNAL_SERVER_ERROR:
      title: Internal Server Error
      type: object
      properties:
        detail:
          title: Detail
          type: string
          default: Internal Server Error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        ACCESS_TOKEN generated from the authorize endpoint. Should be included
        in the header as Bearer .
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        The CLIENT_SECRET provided to you. This header parameter is required for
        authentication purposes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.